%global __brp_check_rpaths %{nil}
%global packname  uni.survival.tree
%global packver   1.5
%global rlibdir   /usr/local/lib/R/library

Name:             R-CRAN-%{packname}
Version:          1.5
Release:          1%{?dist}%{?buildtag}
Summary:          A Survival Tree Based on Stabilized Score Tests for High-dimensional Covariates

License:          GPL-3
URL:              https://cran.r-project.org/package=%{packname}
Source0:          %{url}&version=%{packver}#/%{packname}_%{packver}.tar.gz


BuildRequires:    R-devel
Requires:         R-core
BuildArch:        noarch
BuildRequires:    R-CRAN-survival 
BuildRequires:    R-CRAN-compound.Cox 
Requires:         R-CRAN-survival 
Requires:         R-CRAN-compound.Cox 

%description
A classification (decision) tree is constructed from survival data with
high-dimensional covariates. The method is a robust version of the logrank
tree, where the variance is stabilized. The main function "uni.tree"
returns a classification tree for a given survival dataset. The inner
nodes (splitting criterion) are selected by minimizing the P-value of the
two-sample the score tests. The decision of declaring terminal nodes
(stopping criterion) is the P-value threshold given by an argument
(specified by user). This tree construction algorithm is proposed by Emura
et al. (2021, in review).

%prep
%setup -q -c -n %{packname}

# fix end of executable files
find -type f -executable -exec grep -Iq . {} \; -exec sed -i -e '$a\' {} \;
# prevent binary stripping
[ -d %{packname}/src ] && find %{packname}/src -type f -exec \
  sed -i 's@/usr/bin/strip@/usr/bin/true@g' {} \; || true
# don't allow local prefix in executable scripts
find -type f -executable -exec sed -Ei 's@#!( )*/usr/local/bin@#!/usr/bin@g' {} \;

%build

%install

mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
# remove buildroot from installed files
find %{buildroot}%{rlibdir} -type f -exec sed -i "s@%{buildroot}@@g" {} \;

%files
%{rlibdir}/%{packname}
